DCMTK: DcmQueryRetrieveDatabaseStatus Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmQueryRetrieveDatabaseStatus Class Reference

this class describes the result of a database operation (for an incoming C-FIND, C-MOVE, C-GET or C-STORE request) in a format that can directly be communicated to the remote SCU in a DIMSE RSP message. More...

## Public Member Functions
| DcmQueryRetrieveDatabaseStatus (Uint16 s=0)
| default constructor
| DcmQueryRetrieveDatabaseStatus (const DcmQueryRetrieveDatabaseStatus &org)
| copy constructor
| ~DcmQueryRetrieveDatabaseStatus ()
| destructor
DcmQueryRetrieveDatabaseStatus & | operator= (const DcmQueryRetrieveDatabaseStatus &org)
| copy assignment operator
void | deleteStatusDetail ()
| delete status detail, if any
DcmDataset * | extractStatusDetail ()
| return pointer to status detail object, then set status detail to NULL
Uint16 | status () const
| return status value
void | setStatus (Uint16 s)
| set new status value

## Private Attributes
Uint16 | status_
| the status flag as defined for the various DIMSE services
DcmDataset * | statusDetail_
| an optional DICOM dataset with status detail, may be NULL.

## Detailed Description

this class describes the result of a database operation (for an incoming C-FIND, C-MOVE, C-GET or C-STORE request) in a format that can directly be communicated to the remote SCU in a DIMSE RSP message.

An object of this class comprises a status field along with an optional dataset containing status detail information.

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveDatabaseStatus()

DcmQueryRetrieveDatabaseStatus::DcmQueryRetrieveDatabaseStatus | ( | Uint16 | s = 0 | ) |

default constructor

Parameters

  s | initial DIMSE status, default is 0 (success).

Referenced by DcmQueryRetrieveDatabaseStatus(), and operator=().

## Member Function Documentation

## ◆ extractStatusDetail()

DcmDataset * DcmQueryRetrieveDatabaseStatus::extractStatusDetail | ( |  | ) |

return pointer to status detail object, then set status detail to NULL

Returns
  status detail, may be NULL

## ◆ setStatus()

void DcmQueryRetrieveDatabaseStatus::setStatus | ( | Uint16 | s | ) |
| inline

set new status value

Parameters

  s | new status

References status_.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdbs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2